View Issue Details

IDProjectCategoryView StatusLast Update
0023205LazarusLazReportpublic2012-11-03 05:26
ReporterTony WhymanAssigned ToJesus Reyes 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.0.2Product Build 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0023205: Report Designer crashes with Access Violation on Insert DB Field
DescriptionInsert a New "Rectangle Object" on to a report, Double-click on it and click on the "DB Field" button. An access violation is reported. Running Lazarus from the command line gives the location of the crash as line 461 of lr_utils.
Additional InformationThe problem seems to be on line 458. Adding a check for a TFrame on this line fixes the problem. A proposed patch is attached.
 
TagsNo tags attached.
Fixed in Revision
LazTarget1.2
WidgetsetGTK 2
Attached Files
  • editorcrash.diff (647 bytes)
    diff -urpN lazarus.orig/components/lazreport/source/lr_utils.pas lazarus/components/lazreport/source/lr_utils.pas
    --- lazarus.orig/components/lazreport/source/lr_utils.pas	2012-03-29 11:12:51.000000000 +0100
    +++ lazarus/components/lazreport/source/lr_utils.pas	2012-10-24 19:30:15.249521000 +0100
    @@ -455,7 +455,7 @@ var
             if f = Owner then
               List.Add(c.Name)
             else
    -        if ((f is TForm) or (f is TDataModule)) then
    +        if ((f is TForm) or (f is TDataModule) or (f is TFrame)) then
               List.Add(f.Name + '.' + c.Name)
             else
               List.Add(TControl(f).Owner.Name + '.' + f.Name + '.' + c.Name)
    
    
    editorcrash.diff (647 bytes)

Activities

2012-10-24 23:51

 

editorcrash.diff (647 bytes)
diff -urpN lazarus.orig/components/lazreport/source/lr_utils.pas lazarus/components/lazreport/source/lr_utils.pas
--- lazarus.orig/components/lazreport/source/lr_utils.pas	2012-03-29 11:12:51.000000000 +0100
+++ lazarus/components/lazreport/source/lr_utils.pas	2012-10-24 19:30:15.249521000 +0100
@@ -455,7 +455,7 @@ var
         if f = Owner then
           List.Add(c.Name)
         else
-        if ((f is TForm) or (f is TDataModule)) then
+        if ((f is TForm) or (f is TDataModule) or (f is TFrame)) then
           List.Add(f.Name + '.' + c.Name)
         else
           List.Add(TControl(f).Owner.Name + '.' + f.Name + '.' + c.Name)

editorcrash.diff (647 bytes)

Jesus Reyes

2012-11-03 05:26

developer   ~0063648

Thanks, applied to trunk.

Issue History

Date Modified Username Field Change
2012-10-24 23:51 Tony Whyman New Issue
2012-10-24 23:51 Tony Whyman File Added: editorcrash.diff
2012-10-24 23:51 Tony Whyman Widgetset => GTK 2
2012-10-25 05:37 Jesus Reyes Status new => assigned
2012-10-25 05:37 Jesus Reyes Assigned To => Jesus Reyes
2012-11-03 05:26 Jesus Reyes LazTarget => 1.2
2012-11-03 05:26 Jesus Reyes Status assigned => resolved
2012-11-03 05:26 Jesus Reyes Fixed in Version => 1.1 (SVN)
2012-11-03 05:26 Jesus Reyes Resolution open => fixed
2012-11-03 05:26 Jesus Reyes Note Added: 0063648
2012-11-03 05:26 Jesus Reyes Target Version => 1.2.0